> ## Documentation Index
> Fetch the complete documentation index at: https://docs.priceos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Feature

> Permanently delete a feature by feature key.



## OpenAPI

````yaml DELETE /v1/features/{featureKey}
openapi: 3.1.0
info:
  title: PriceOS Public API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/features/{featureKey}:
    delete:
      summary: Delete Feature
      description: Permanently delete a feature by feature key.
      parameters:
        - schema:
            type: string
            description: Feature key.
          required: true
          description: Feature key.
          name: featureKey
          in: path
        - schema:
            type: string
            description: API key from your PriceOS dashboard.
          required: true
          description: API key from your PriceOS dashboard.
          name: x-api-key
          in: header
      responses:
        '200':
          description: Feature deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  deleted:
                    type: boolean
                    enum:
                      - true
                    description: Whether the feature was deleted.
                  featureKey:
                    type: string
                    description: Deleted feature key.
                required:
                  - deleted
                  - featureKey
                description: Feature delete result.
              example:
                deleted: true
                featureKey: api_calls
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
                required:
                  - error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
                required:
                  - error
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
                required:
                  - error
      x-codeSamples:
        - lang: typescript
          label: Node.js
          source: >-
            import { PriceOS } from "priceos";

            import type { MyFeatures } from "./priceos.types";


            const priceos = new
            PriceOS<MyFeatures>(process.env.PRICEOS_API_KEY!);


            const result = await priceos.features.delete("api_calls");
        - lang: bash
          label: cURL
          source: |-
            curl -X DELETE "https://api.priceos.com/v1/features/api_calls" \
              -H "x-api-key: PRICEOS_API_KEY"

````